#include <bits/stdc++.h>
using namespace std;
int k,x[20003],t;
int main () {
cin>>t>>k;
for (int i=1; i<=t; i++) {
cin>>x[i]; }
for (int i=1; i<=t; i++) {
if (x[t]==k) cout<<x[1]<<endl;
else if (x[i]==k) cout<<x[i+1]<<endl;
}
return 0;
}